Subject: [alpine-devel] [PATCH] Initial APKBUILD for Alpine Linux

From: Fabian Affolter <[email-masked]>
Date: Sat, 25 Jun 2011 16:44:33 +0000

---
 testing/weplab/APKBUILD |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)
 create mode 100644 testing/weplab/APKBUILD

diff --git a/testing/weplab/APKBUILD b/testing/weplab/APKBUILD
new file mode 100644
index 0000000..9117f53
--- /dev/null
+++ b/testing/weplab/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Fabian Affolter <[email-masked]>
+# Maintainer:
+pkgname=weplab
+pkgver=0.1.5
+pkgrel=0
+pkgdesc="Analyzing WEP encryption security on wireless networks"
+url="http://weplab.sourceforge.net/"
+arch="all"
+license="GPLv2+"
+depends=
+depends_dev="libpcap-dev wireless-tools-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+    ./configure \
+        --prefix=/usr \
+        --mandir=/usr/share/man \
+        || return 1
+	make || return 1
+    install -Dm 644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="713870965447b0b8b7341409968846fb  weplab-0.1.5.tar.gz"
-- 
1.7.4.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---